# Uses of Interface
org.apache.wiki.api.core.AclEntry

Packages that use AclEntry
Package
Description
org.apache.wiki.api.core
JSPWiki's central API.
org.apache.wiki.api.spi
JSPWiki's SPI package.

## Uses of AclEntry in org.apache.wiki.api.core

Methods in org.apache.wiki.api.core that return AclEntry
Modifier and Type
Method
Description
`AclEntry`
Acl.`getAclEntry(Principal principal)`
Returns an AclEntry for a supplied Principal, or `null` if the Principal does not have a matching AclEntry.
Methods in org.apache.wiki.api.core that return types with arguments of type AclEntry
Modifier and Type
Method
Description
`Enumeration<AclEntry>`
Acl.`aclEntries()`
Returns an enumeration of the entries in this ACL.
Methods in org.apache.wiki.api.core with parameters of type AclEntry
Modifier and Type
Method
Description
`boolean`
Acl.`addEntry(AclEntry entry)`
Adds an ACL entry to this ACL.
`boolean`
Acl.`removeEntry(AclEntry entry)`
Removes an ACL entry from this ACL.

## Uses of AclEntry in org.apache.wiki.api.spi

Methods in org.apache.wiki.api.spi that return AclEntry
Modifier and Type
Method
Description
`AclEntry`
AclsDSL.`entry()`
Creates a new `AclEntry` instance.
`AclEntry`
AclsSPI.`entry()`
Creates a new `AclEntry` instance.